
package net.mcreator.metroidmadness.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;

import net.mcreator.metroidmadness.entity.GreenRidleyEntity;
import net.mcreator.metroidmadness.client.model.ModelRidley;

public class GreenRidleyRenderer extends MobRenderer<GreenRidleyEntity, ModelRidley<GreenRidleyEntity>> {
	public GreenRidleyRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelRidley(context.bakeLayer(ModelRidley.LAYER_LOCATION)), 5f);
		this.addLayer(new EyesLayer<GreenRidleyEntity, ModelRidley<GreenRidleyEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("metroid_madness:textures/entities/ridley_-_glow.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(GreenRidleyEntity entity) {
		return new ResourceLocation("metroid_madness:textures/entities/ridley_-_green.png");
	}
}
