
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.metroidmadness.init;

import net.minecraftforge.network.IContainerFactory;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.inventory.MenuType;
import net.minecraft.world.inventory.AbstractContainerMenu;

import net.mcreator.metroidmadness.world.inventory.UpgradeTableGUIMenu;
import net.mcreator.metroidmadness.world.inventory.PlanetPickerMenu;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class MetroidMadnessModMenus {
	private static final List<MenuType<?>> REGISTRY = new ArrayList<>();
	public static final MenuType<UpgradeTableGUIMenu> UPGRADE_TABLE_GUI = register("upgrade_table_gui",
			(id, inv, extraData) -> new UpgradeTableGUIMenu(id, inv, extraData));
	public static final MenuType<PlanetPickerMenu> PLANET_PICKER = register("planet_picker",
			(id, inv, extraData) -> new PlanetPickerMenu(id, inv, extraData));

	private static <T extends AbstractContainerMenu> MenuType<T> register(String registryname, IContainerFactory<T> containerFactory) {
		MenuType<T> menuType = new MenuType<T>(containerFactory);
		menuType.setRegistryName(registryname);
		REGISTRY.add(menuType);
		return menuType;
	}

	@SubscribeEvent
	public static void registerContainers(RegistryEvent.Register<MenuType<?>> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new MenuType[0]));
	}
}
