
package net.mcreator.metroidmadness.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.AxeItem;

import net.mcreator.metroidmadness.init.MetroidMadnessModTabs;
import net.mcreator.metroidmadness.init.MetroidMadnessModItems;

public class Metroid_ScaleAxeItem extends AxeItem {
	public Metroid_ScaleAxeItem() {
		super(new Tier() {
			public int getUses() {
				return 250;
			}

			public float getSpeed() {
				return 6f;
			}

			public float getAttackDamageBonus() {
				return 7f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 14;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(MetroidMadnessModItems.METROID_SCALE_DUST.get()));
			}
		}, 1, -3f, new Item.Properties().tab(MetroidMadnessModTabs.TAB_METROID_MADNESS));
	}
}
