// Made with Blockbench 4.4.3
// Exported for Minecraft version 1.17 - 1.18 with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelKraid<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "kraid"), "main");
	private final ModelPart head;
	private final ModelPart jaw;
	private final ModelPart body;
	private final ModelPart rearleg;
	private final ModelPart rearleg1;
	private final ModelPart frontleg1;
	private final ModelPart frontleg2;
	private final ModelPart tail;

	public ModelKraid(ModelPart root) {
		this.head = root.getChild("head");
		this.jaw = root.getChild("jaw");
		this.body = root.getChild("body");
		this.rearleg = root.getChild("rearleg");
		this.rearleg1 = root.getChild("rearleg1");
		this.frontleg1 = root.getChild("frontleg1");
		this.frontleg2 = root.getChild("frontleg2");
		this.tail = root.getChild("tail");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition head = partdefinition.addOrReplaceChild("head",
				CubeListBuilder.create().texOffs(162, 105)
						.addBox(-13.0F, -4.0F, -41.0F, 26.0F, 8.0F, 27.0F, new CubeDeformation(0.0F)).texOffs(0, 105)
						.addBox(-13.0F, -8.0F, -16.0F, 26.0F, 17.0F, 37.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -81.0F, 9.0F, -0.0873F, 0.0F, 0.0F));

		PartDefinition Horn = head.addOrReplaceChild("Horn",
				CubeListBuilder.create().texOffs(140, 17)
						.addBox(-18.0F, -8.0F, -67.0F, 5.0F, 5.0F, 12.0F, new CubeDeformation(0.0F)).texOffs(70, 165)
						.addBox(-35.0F, -2.0F, -80.0F, 3.0F, 5.0F, 38.0F, new CubeDeformation(0.0F)).texOffs(210, 41)
						.addBox(-32.0F, -3.0F, -77.0F, 3.0F, 5.0F, 32.0F, new CubeDeformation(0.0F)).texOffs(220, 236)
						.addBox(-29.0F, -4.0F, -74.0F, 3.0F, 5.0F, 26.0F, new CubeDeformation(0.0F)).texOffs(248, 34)
						.addBox(-26.0F, -5.0F, -71.0F, 3.0F, 5.0F, 20.0F, new CubeDeformation(0.0F)).texOffs(252, 230)
						.addBox(-23.0F, -6.0F, -69.0F, 3.0F, 5.0F, 16.0F, new CubeDeformation(0.0F)).texOffs(0, 123)
						.addBox(-20.0F, -7.0F, -68.0F, 3.0F, 5.0F, 14.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 7.0F, 58.0F));

		PartDefinition Horn2 = head.addOrReplaceChild("Horn2",
				CubeListBuilder.create().texOffs(140, 0)
						.addBox(13.0F, -8.0F, -67.0F, 5.0F, 5.0F, 12.0F, new CubeDeformation(0.0F)).texOffs(159, 140)
						.addBox(32.0F, -2.0F, -80.0F, 3.0F, 5.0F, 38.0F, new CubeDeformation(0.0F)).texOffs(64, 208)
						.addBox(29.0F, -3.0F, -77.0F, 3.0F, 5.0F, 32.0F, new CubeDeformation(0.0F)).texOffs(114, 165)
						.addBox(26.0F, -4.0F, -74.0F, 3.0F, 5.0F, 26.0F, new CubeDeformation(0.0F)).texOffs(196, 41)
						.addBox(23.0F, -5.0F, -71.0F, 3.0F, 5.0F, 20.0F, new CubeDeformation(0.0F)).texOffs(164, 250)
						.addBox(20.0F, -6.0F, -69.0F, 3.0F, 5.0F, 16.0F, new CubeDeformation(0.0F)).texOffs(89, 122)
						.addBox(17.0F, -7.0F, -68.0F, 3.0F, 5.0F, 14.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 7.0F, 58.0F));

		PartDefinition jaw = partdefinition.addOrReplaceChild("jaw",
				CubeListBuilder.create().texOffs(0, 159)
						.addBox(-12.0F, 0.0F, -28.0F, 24.0F, 8.0F, 30.0F, new CubeDeformation(0.0F)).texOffs(152, 183)
						.addBox(-12.0F, 0.0F, 2.0F, 24.0F, 14.0F, 21.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -76.0F, -3.0F, 0.0873F, 0.0F, 0.0F));

		PartDefinition body = partdefinition.addOrReplaceChild("body", CubeListBuilder.create(),
				PartPose.offset(0.0F, 0.0F, 8.0F));

		PartDefinition body_r1 = body.addOrReplaceChild("body_r1",
				CubeListBuilder.create().texOffs(0, 0).addBox(-17.5F, 5.5F, -66.0F, 35.0F, 35.0F, 70.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.5F, 2.5F, 19.0F, -1.5708F, 0.0F, 0.0F));

		PartDefinition rearleg = partdefinition.addOrReplaceChild("rearleg",
				CubeListBuilder.create().texOffs(0, 197).addBox(-8.0F, -4.0F, -8.0F, 16.0F, 32.0F, 16.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, -8.0F, 4.0F, -1.309F, 0.0F, 0.0F));

		PartDefinition rearlegtip = rearleg
				.addOrReplaceChild("rearlegtip",
						CubeListBuilder.create().texOffs(241, 78).addBox(-6.0F, 0.0F, -7.0F, 12.0F, 32.0F, 12.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 28.0F, 1.0F, 2.3562F, 0.0F, 0.0F));

		PartDefinition rearfoot = rearlegtip.addOrReplaceChild("rearfoot",
				CubeListBuilder.create().texOffs(140, 0).addBox(-9.0F, 0.0F, -31.0F, 18.0F, 6.0F, 35.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 32.0F, -2.0F, -1.0472F, 0.0F, 0.0F));

		PartDefinition rearleg1 = partdefinition.addOrReplaceChild("rearleg1",
				CubeListBuilder.create().texOffs(0, 0).addBox(-8.0F, -4.0F, -8.0F, 16.0F, 32.0F, 16.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(17.0F, -8.0F, 4.0F, -1.309F, 0.0F, 0.0F));

		PartDefinition rearlegtip1 = rearleg1.addOrReplaceChild(
				"rearlegtip1", CubeListBuilder.create().texOffs(198, 218).addBox(-6.0F, 0.0F, -7.0F, 12.0F, 32.0F,
						12.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 28.0F, 1.0F, 2.3562F, 0.0F, 0.0F));

		PartDefinition rearfoot1 = rearlegtip1.addOrReplaceChild("rearfoot1",
				CubeListBuilder.create().texOffs(91, 124).addBox(-9.0F, 0.0F, -31.0F, 18.0F, 6.0F, 35.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 32.0F, -2.0F, -1.0472F, 0.0F, 0.0F));

		PartDefinition frontleg1 = partdefinition.addOrReplaceChild("frontleg1",
				CubeListBuilder.create().texOffs(84, 245).addBox(-4.0F, -4.0F, -4.0F, 8.0F, 35.0F, 8.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-21.0F, -49.0F, -1.0F, -0.5888F, 0.1733F, 0.2528F));

		PartDefinition frontlegtip1 = frontleg1.addOrReplaceChild("frontlegtip1",
				CubeListBuilder.create().texOffs(140, 250).addBox(-3.0F, -1.0F, -3.0F, 6.0F, 36.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 27.0F, 1.0F, -1.6581F, 0.0F, 0.0F));

		PartDefinition frontfoot1 = frontlegtip1.addOrReplaceChild("frontfoot1",
				CubeListBuilder.create().texOffs(127, 105).addBox(-4.0F, 1.0F, -7.0F, 8.0F, 6.0F, 11.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 39.0F, -3.0F, 1.8326F, 0.0F, 0.0F));

		PartDefinition Finger111 = frontfoot1.addOrReplaceChild("Finger111", CubeListBuilder.create().texOffs(78, 177)
				.addBox(-4.0F, 1.0F, -17.0F, 2.0F, 2.0F, 10.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 1.0F));

		PartDefinition cube_r1 = Finger111.addOrReplaceChild("cube_r1",
				CubeListBuilder.create().texOffs(48, 7).addBox(-1.0F, 0.6737F, -6.0053F, 2.0F, 1.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.0F, 7.0F, -25.0F, 1.1781F, 0.0F, 0.0F));

		PartDefinition cube_r2 = Finger111.addOrReplaceChild("cube_r2",
				CubeListBuilder.create().texOffs(0, 173).addBox(-1.0F, 0.0F, -10.0F, 2.0F, 2.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.0F, 1.0F, -17.0F, 0.6109F, 0.0F, 0.0F));

		PartDefinition Finger121 = Finger111.addOrReplaceChild("Finger121", CubeListBuilder.create(),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Claw1 = Finger111.addOrReplaceChild("Claw1", CubeListBuilder.create(),
				PartPose.offset(-3.0F, 1.0F, -17.0F));

		PartDefinition Finger211 = frontfoot1.addOrReplaceChild("Finger211", CubeListBuilder.create().texOffs(170, 165)
				.addBox(-4.0F, 1.0F, -17.0F, 2.0F, 2.0F, 10.0F, new CubeDeformation(0.0F)),
				PartPose.offset(6.0F, 0.0F, 1.0F));

		PartDefinition cube_r3 = Finger211.addOrReplaceChild("cube_r3",
				CubeListBuilder.create().texOffs(48, 0).addBox(-1.0F, 0.6737F, -6.0053F, 2.0F, 1.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.0F, 7.0F, -25.0F, 1.1781F, 0.0F, 0.0F));

		PartDefinition cube_r4 = Finger211.addOrReplaceChild("cube_r4",
				CubeListBuilder.create().texOffs(146, 165).addBox(-1.0F, 0.0F, -10.0F, 2.0F, 2.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.0F, 1.0F, -17.0F, 0.6109F, 0.0F, 0.0F));

		PartDefinition Finger221 = Finger211.addOrReplaceChild("Finger221", CubeListBuilder.create(),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Claw2 = Finger211.addOrReplaceChild("Claw2", CubeListBuilder.create(),
				PartPose.offset(-3.0F, 1.0F, -17.0F));

		PartDefinition frontleg2 = partdefinition.addOrReplaceChild("frontleg2",
				CubeListBuilder.create().texOffs(52, 245).addBox(-4.0F, -4.0F, -4.0F, 8.0F, 35.0F, 8.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(20.0F, -49.0F, -1.0F, -0.5996F, -0.1245F, -0.1796F));

		PartDefinition frontlegtip2 = frontleg2.addOrReplaceChild("frontlegtip2",
				CubeListBuilder.create().texOffs(116, 245).addBox(-3.0F, -1.0F, -3.0F, 6.0F, 36.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 27.0F, 1.0F, -1.6581F, 0.0F, 0.0F));

		PartDefinition frontfoot2 = frontlegtip2.addOrReplaceChild("frontfoot2",
				CubeListBuilder.create().texOffs(89, 105).addBox(-4.0F, 1.0F, -7.0F, 8.0F, 6.0F, 11.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 39.0F, -3.0F, 1.8326F, 0.0F, 0.0F));

		PartDefinition Finger112 = frontfoot2.addOrReplaceChild("Finger112", CubeListBuilder.create().texOffs(114, 165)
				.addBox(2.0F, 1.0F, -17.0F, 2.0F, 2.0F, 10.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 1.0F));

		PartDefinition cube_r5 = Finger112.addOrReplaceChild("cube_r5",
				CubeListBuilder.create().texOffs(0, 7).addBox(-1.0F, 0.6737F, -6.0053F, 2.0F, 1.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.0F, 7.0F, -25.0F, 1.1781F, 0.0F, 0.0F));

		PartDefinition cube_r6 = Finger112.addOrReplaceChild("cube_r6",
				CubeListBuilder.create().texOffs(78, 165).addBox(-1.0F, 0.0F, -10.0F, 2.0F, 2.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.0F, 1.0F, -17.0F, 0.6109F, 0.0F, 0.0F));

		PartDefinition Finger122 = Finger112.addOrReplaceChild("Finger122", CubeListBuilder.create(),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Claw3 = Finger112.addOrReplaceChild("Claw3", CubeListBuilder.create(),
				PartPose.offset(3.0F, 1.0F, -17.0F));

		PartDefinition Finger212 = frontfoot2.addOrReplaceChild("Finger212", CubeListBuilder.create().texOffs(155, 112)
				.addBox(2.0F, 1.0F, -17.0F, 2.0F, 2.0F, 10.0F, new CubeDeformation(0.0F)),
				PartPose.offset(-6.0F, 0.0F, 1.0F));

		PartDefinition cube_r7 = Finger212.addOrReplaceChild("cube_r7",
				CubeListBuilder.create().texOffs(0, 0).addBox(-1.0F, 0.6737F, -6.0053F, 2.0F, 1.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.0F, 7.0F, -25.0F, 1.1781F, 0.0F, 0.0F));

		PartDefinition cube_r8 = Finger212.addOrReplaceChild("cube_r8",
				CubeListBuilder.create().texOffs(44, 48).addBox(-1.0F, 0.0F, -10.0F, 2.0F, 2.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.0F, 1.0F, -17.0F, 0.6109F, 0.0F, 0.0F));

		PartDefinition Finger222 = Finger212.addOrReplaceChild("Finger222", CubeListBuilder.create(),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Claw4 = Finger212.addOrReplaceChild("Claw4", CubeListBuilder.create(),
				PartPose.offset(3.0F, 1.0F, -17.0F));

		PartDefinition tail = partdefinition.addOrReplaceChild("tail", CubeListBuilder.create().texOffs(203, 140)
				.addBox(-13.0F, -21.0F, 0.0F, 26.0F, 26.0F, 10.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 21.0F));

		PartDefinition tail2 = tail
				.addOrReplaceChild("tail2",
						CubeListBuilder.create().texOffs(211, 0).addBox(-12.0F, -20.0F, 0.0F, 24.0F, 24.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail3 = tail2
				.addOrReplaceChild("tail3",
						CubeListBuilder.create().texOffs(134, 218).addBox(-11.0F, -19.0F, 0.0F, 22.0F, 22.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail4 = tail3
				.addOrReplaceChild("tail4",
						CubeListBuilder.create().texOffs(242, 176).addBox(-10.0F, -18.0F, 0.0F, 20.0F, 20.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail5 = tail4
				.addOrReplaceChild("tail5",
						CubeListBuilder.create().texOffs(140, 41).addBox(-9.0F, -17.0F, 0.0F, 18.0F, 18.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0349F, 0.0F, 0.0F));

		PartDefinition tail6 = tail5
				.addOrReplaceChild("tail6",
						CubeListBuilder.create().texOffs(0, 245).addBox(-8.0F, -16.0F, 0.0F, 16.0F, 16.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0524F, 0.0F, 0.0F));

		PartDefinition tail7 = tail6
				.addOrReplaceChild("tail7",
						CubeListBuilder.create().texOffs(242, 206).addBox(-7.0F, -15.0F, 0.0F, 14.0F, 14.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0524F, 0.0F, 0.0F));

		PartDefinition tail8 = tail7
				.addOrReplaceChild("tail8",
						CubeListBuilder.create().texOffs(0, 48).addBox(-6.0F, -14.0F, 0.0F, 12.0F, 12.0F, 10.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail9 = tail8.addOrReplaceChild("tail9",
				CubeListBuilder.create().texOffs(102, 208).addBox(-5.0F, -13.0F, 0.0F, 10.0F, 10.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0175F, 0.0F, 0.0F));

		PartDefinition tail10 = tail9.addOrReplaceChild("tail10",
				CubeListBuilder.create().texOffs(0, 105).addBox(-4.0F, -12.0F, 0.0F, 8.0F, 8.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0349F, 0.0F, 0.0F));

		PartDefinition tail11 = tail10.addOrReplaceChild("tail11",
				CubeListBuilder.create().texOffs(162, 140).addBox(-3.0F, -11.0F, 0.0F, 6.0F, 6.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0524F, 0.0F, 0.0F));

		PartDefinition tail12 = tail11.addOrReplaceChild("tail12",
				CubeListBuilder.create().texOffs(0, 159).addBox(-2.0F, -10.0F, 0.0F, 4.0F, 4.0F, 10.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0524F, 0.0F, 0.0F));

		return LayerDefinition.create(meshdefinition, 512, 512);
	}

	@Override
	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {

	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		head.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		jaw.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		body.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		rearleg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		rearleg1.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		frontleg1.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		frontleg2.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		tail.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}
}