// Made with Blockbench 4.4.3
// Exported for Minecraft version 1.17 - 1.18 with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelRaven_Beak<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "raven_beak"), "main");
	private final ModelPart Head;
	private final ModelPart Body;
	private final ModelPart LeftWing;
	private final ModelPart RightWing;
	private final ModelPart RightArm;
	private final ModelPart LeftArm;
	private final ModelPart RightLeg;
	private final ModelPart LeftLeg;

	public ModelRaven_Beak(ModelPart root) {
		this.Head = root.getChild("Head");
		this.Body = root.getChild("Body");
		this.LeftWing = root.getChild("LeftWing");
		this.RightWing = root.getChild("RightWing");
		this.RightArm = root.getChild("RightArm");
		this.LeftArm = root.getChild("LeftArm");
		this.RightLeg = root.getChild("RightLeg");
		this.LeftLeg = root.getChild("LeftLeg");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition Head = partdefinition.addOrReplaceChild("Head",
				CubeListBuilder.create().texOffs(0, 19)
						.addBox(-4.0F, -22.0F, -4.0F, 8.0F, 8.0F, 8.0F, new CubeDeformation(0.0F)).texOffs(60, 48)
						.addBox(-1.0F, -16.0F, -8.0F, 2.0F, 2.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(30, 16)
						.addBox(-1.0F, -15.0F, -9.0F, 2.0F, 1.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(24, 19)
						.addBox(-6.0F, -26.0F, -1.0F, 12.0F, 4.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(0, 35)
						.addBox(-5.0F, -29.0F, -1.0F, 10.0F, 3.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(72, 57)
						.addBox(-3.0F, -31.0F, -1.0F, 6.0F, 2.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(50, 0)
						.addBox(-2.0F, -26.0F, -2.0F, 1.0F, 3.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(70, 11)
						.addBox(-3.0F, -33.5F, -2.0F, 1.0F, 5.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(30, 0)
						.addBox(1.0F, -26.0F, -2.0F, 1.0F, 3.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(56, 39)
						.addBox(2.0F, -33.5F, -2.0F, 1.0F, 5.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Head_r1 = Head.addOrReplaceChild("Head_r1",
				CubeListBuilder.create().texOffs(0, 41).addBox(0.75F, 0.5F, -0.5F, 1.0F, 3.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.5F, -29.5F, -1.5F, 0.0F, 0.0F, 0.3491F));

		PartDefinition Head_r2 = Head.addOrReplaceChild("Head_r2",
				CubeListBuilder.create().texOffs(42, 26).addBox(-1.5962F, -4.3107F, -0.5F, 1.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(6.0962F, -27.9393F, -1.5F, 0.0F, 0.0F, 0.3491F));

		PartDefinition Head_r3 = Head.addOrReplaceChild("Head_r3",
				CubeListBuilder.create().texOffs(16, 41).addBox(3.5F, 0.0F, 1.5F, 1.0F, 4.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.5F, -29.0F, -3.5F, 0.0F, 0.0F, 0.7854F));

		PartDefinition Head_r4 = Head.addOrReplaceChild("Head_r4",
				CubeListBuilder.create().texOffs(12, 41).addBox(-1.75F, 0.5F, -0.5F, 1.0F, 3.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.5F, -29.5F, -1.5F, 0.0F, 0.0F, -0.3491F));

		PartDefinition Head_r5 = Head.addOrReplaceChild("Head_r5",
				CubeListBuilder.create().texOffs(32, 67).addBox(0.5962F, -4.3107F, -0.5F, 1.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-6.0962F, -27.9393F, -1.5F, 0.0F, 0.0F, -0.3491F));

		PartDefinition Head_r6 = Head.addOrReplaceChild("Head_r6",
				CubeListBuilder.create().texOffs(38, 53).addBox(-4.5F, 0.0F, 1.5F, 1.0F, 4.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.5F, -29.0F, -3.5F, 0.0F, 0.0F, -0.7854F));

		PartDefinition Body = partdefinition.addOrReplaceChild("Body", CubeListBuilder.create().texOffs(30, 0).addBox(
				-4.0F, -14.0F, -2.0F, 8.0F, 12.0F, 4.0F, new CubeDeformation(0.0F)), PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition LeftWing = partdefinition.addOrReplaceChild("LeftWing",
				CubeListBuilder.create().texOffs(84, 67)
						.addBox(0.0F, -1.0F, -0.5F, 7.0F, 4.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(80, 24)
						.addBox(3.0F, -2.0F, -0.5F, 7.0F, 6.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.0F, -11.0F, 2.5F, 0.0F, -0.7854F, 0.0F));

		PartDefinition cube_r1 = LeftWing.addOrReplaceChild("cube_r1",
				CubeListBuilder.create().texOffs(86, 80)
						.addBox(2.2875F, -4.0F, -0.3568F, 5.0F, 4.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(82, 41)
						.addBox(-0.7125F, -4.0F, -0.3568F, 6.0F, 6.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(18.0F, 0.0F, -11.0F, 0.0F, 2.2253F, 0.0F));

		PartDefinition cube_r2 = LeftWing
				.addOrReplaceChild("cube_r2",
						CubeListBuilder.create().texOffs(32, 76).addBox(-1.7599F, -5.0F, 0.0761F, 7.0F, 9.0F, 1.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(18.0F, 0.0F, -9.0F, 0.0F, 1.789F, 0.0F));

		PartDefinition cube_r3 = LeftWing.addOrReplaceChild("cube_r3",
				CubeListBuilder.create().texOffs(54, 67)
						.addBox(0.2058F, -6.0F, -0.446F, 7.0F, 11.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(54, 13)
						.addBox(-2.7942F, -6.0F, -0.446F, 7.0F, 12.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(18.0F, 0.0F, -5.0F, 0.0F, 1.4399F, 0.0F));

		PartDefinition cube_r4 = LeftWing.addOrReplaceChild("cube_r4",
				CubeListBuilder.create().texOffs(52, 86).addBox(1.8975F, 1.7818F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, -0.0767F, 0.8197F, 0.1925F));

		PartDefinition cube_r5 = LeftWing.addOrReplaceChild("cube_r5",
				CubeListBuilder.create().texOffs(86, 48).addBox(-0.1025F, 2.7818F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, -0.033F, 0.8197F, 0.1925F));

		PartDefinition cube_r6 = LeftWing.addOrReplaceChild("cube_r6",
				CubeListBuilder.create().texOffs(22, 0).addBox(-2.1025F, 2.7818F, -0.9982F, 3.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, 0.1415F, 0.8197F, 0.1925F));

		PartDefinition cube_r7 = LeftWing.addOrReplaceChild("cube_r7",
				CubeListBuilder.create().texOffs(42, 86).addBox(-4.1025F, 1.7818F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, 0.0124F, 0.2563F, 0.114F));

		PartDefinition cube_r8 = LeftWing.addOrReplaceChild("cube_r8",
				CubeListBuilder.create().texOffs(86, 72).addBox(7.6339F, 4.2268F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, -1.3628F, 1.1446F, -1.434F));

		PartDefinition cube_r9 = LeftWing.addOrReplaceChild("cube_r9",
				CubeListBuilder.create().texOffs(88, 8).addBox(5.6339F, 5.2268F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, -1.1503F, 1.1232F, -1.344F));

		PartDefinition cube_r10 = LeftWing.addOrReplaceChild("cube_r10",
				CubeListBuilder.create().texOffs(88, 16).addBox(3.6339F, 5.2268F, -0.9982F, 3.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, -0.8991F, 0.981F, -1.0061F));

		PartDefinition cube_r11 = LeftWing.addOrReplaceChild("cube_r11",
				CubeListBuilder.create().texOffs(12, 88).addBox(1.6339F, 4.2268F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, -1.0987F, 1.0723F, -1.1881F));

		PartDefinition cube_r12 = LeftWing
				.addOrReplaceChild("cube_r12",
						CubeListBuilder.create().texOffs(0, 57).addBox(-2.2311F, -5.0F, -0.9982F, 7.0F, 12.0F, 1.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(16.0F, 0.0F, -2.0F, 0.0F, 0.829F, 0.0F));

		PartDefinition cube_r13 = LeftWing.addOrReplaceChild("cube_r13",
				CubeListBuilder.create().texOffs(70, 0)
						.addBox(3.0F, -4.0F, -0.5F, 7.0F, 10.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(16, 79)
						.addBox(-1.0F, -3.0F, -0.5F, 7.0F, 8.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(8.0F, 0.0F, 0.0F, 0.0F, 0.3054F, 0.0F));

		PartDefinition RightWing = partdefinition.addOrReplaceChild("RightWing",
				CubeListBuilder.create().texOffs(80, 62)
						.addBox(-7.0F, -1.0F, -0.5F, 7.0F, 4.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(48, 79)
						.addBox(-10.0F, -2.0F, -0.5F, 7.0F, 6.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.0F, -11.0F, 2.5F, 0.0F, 0.7854F, 0.0F));

		PartDefinition cube_r14 = RightWing.addOrReplaceChild("cube_r14",
				CubeListBuilder.create().texOffs(42, 58)
						.addBox(-7.2875F, -4.0F, -0.3568F, 5.0F, 4.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(30, 46)
						.addBox(-5.2875F, -4.0F, -0.3568F, 6.0F, 6.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-18.0F, 0.0F, -11.0F, 0.0F, -2.2253F, 0.0F));

		PartDefinition cube_r15 = RightWing.addOrReplaceChild("cube_r15",
				CubeListBuilder.create().texOffs(76, 31).addBox(-5.2401F, -5.0F, 0.0761F, 7.0F, 9.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-18.0F, 0.0F, -9.0F, 0.0F, -1.789F, 0.0F));

		PartDefinition cube_r16 = RightWing.addOrReplaceChild("cube_r16",
				CubeListBuilder.create().texOffs(16, 67)
						.addBox(-7.2058F, -6.0F, -0.446F, 7.0F, 11.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(48, 26)
						.addBox(-4.2058F, -6.0F, -0.446F, 7.0F, 12.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-18.0F, 0.0F, -5.0F, 0.0F, -1.4399F, 0.0F));

		PartDefinition cube_r17 = RightWing.addOrReplaceChild("cube_r17",
				CubeListBuilder.create().texOffs(16, 58).addBox(-5.8975F, 1.7818F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, -0.0767F, -0.8197F, -0.1925F));

		PartDefinition cube_r18 = RightWing.addOrReplaceChild("cube_r18",
				CubeListBuilder.create().texOffs(63, 85).addBox(-3.8975F, 2.7818F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, -0.033F, -0.8197F, -0.1925F));

		PartDefinition cube_r19 = RightWing.addOrReplaceChild("cube_r19",
				CubeListBuilder.create().texOffs(0, 0).addBox(-0.8975F, 2.7818F, -0.9982F, 3.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, 0.1415F, -0.8197F, -0.1925F));

		PartDefinition cube_r20 = RightWing.addOrReplaceChild("cube_r20",
				CubeListBuilder.create().texOffs(73, 85).addBox(0.1025F, 1.7818F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, 0.0124F, -0.2563F, -0.114F));

		PartDefinition cube_r21 = RightWing.addOrReplaceChild("cube_r21",
				CubeListBuilder.create().texOffs(83, 85).addBox(-11.6339F, 4.2268F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, -1.3628F, -1.1446F, 1.434F));

		PartDefinition cube_r22 = RightWing.addOrReplaceChild("cube_r22",
				CubeListBuilder.create().texOffs(86, 0).addBox(-9.6339F, 5.2268F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, -1.1503F, -1.1232F, 1.344F));

		PartDefinition cube_r23 = RightWing.addOrReplaceChild("cube_r23",
				CubeListBuilder.create().texOffs(0, 19).addBox(-6.6339F, 5.2268F, -0.9982F, 3.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, -0.8991F, -0.981F, 1.0061F));

		PartDefinition cube_r24 = RightWing.addOrReplaceChild("cube_r24",
				CubeListBuilder.create().texOffs(32, 86).addBox(-5.6339F, 4.2268F, -0.9982F, 4.0F, 7.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, -1.0987F, -1.0723F, 1.1881F));

		PartDefinition cube_r25 = RightWing.addOrReplaceChild("cube_r25",
				CubeListBuilder.create().texOffs(54, 0).addBox(-4.7689F, -5.0F, -0.9982F, 7.0F, 12.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, 0.0F, -2.0F, 0.0F, -0.829F, 0.0F));

		PartDefinition cube_r26 = RightWing.addOrReplaceChild("cube_r26",
				CubeListBuilder.create().texOffs(0, 70)
						.addBox(-10.0F, -4.0F, -0.5F, 7.0F, 10.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(70, 76)
						.addBox(-6.0F, -3.0F, -0.5F, 7.0F, 8.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-8.0F, 0.0F, 0.0F, 0.0F, -0.3054F, 0.0F));

		PartDefinition RightArm = partdefinition.addOrReplaceChild("RightArm", CubeListBuilder.create(),
				PartPose.offsetAndRotation(-5.0F, 2.0F, 0.0F, 0.0F, -0.2618F, 0.0F));

		PartDefinition RightArm_r1 = RightArm.addOrReplaceChild("RightArm_r1", CubeListBuilder.create().texOffs(0, 81)
				.addBox(-2.5519F, -11.4551F, -15.0654F, 2.0F, 5.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(64, 20)
				.addBox(-2.5519F, -9.4551F, -16.0654F, 2.0F, 5.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(26, 29)
				.addBox(-0.5519F, -1.4551F, -16.0654F, 5.0F, 11.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(0, 0)
				.addBox(-1.5519F, -7.4551F, -17.0654F, 7.0F, 11.0F, 8.0F, new CubeDeformation(0.0F)).texOffs(16, 42)
				.addBox(0.4481F, -7.4551F, -15.0654F, 3.0F, 12.0F, 4.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-2.5F, 2.0F, -8.0F, -1.1628F, -0.2048F, -0.1704F));

		PartDefinition RightArm_r2 = RightArm.addOrReplaceChild("RightArm_r2",
				CubeListBuilder.create().texOffs(74, 11).addBox(-8.3268F, -5.4544F, -13.5021F, 3.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.5F, -2.0F, 0.0F, -1.0472F, 0.1745F, 0.4363F));

		PartDefinition LeftArm = partdefinition.addOrReplaceChild("LeftArm", CubeListBuilder.create(),
				PartPose.offset(5.0F, 2.0F, 0.0F));

		PartDefinition LeftArm_r1 = LeftArm.addOrReplaceChild("LeftArm_r1",
				CubeListBuilder.create().texOffs(70, 63).addBox(-1.3702F, -1.475F, -2.456F, 3.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.5F, -11.0F, -8.0F, -0.9454F, 0.9872F, 0.6926F));

		PartDefinition LeftArm_r2 = LeftArm.addOrReplaceChild("LeftArm_r2",
				CubeListBuilder.create().texOffs(72, 44).addBox(-0.5F, 0.0F, -2.0F, 3.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.5F, -16.0F, 0.0F, -1.0552F, 0.053F, -0.3064F));

		PartDefinition RightLeg = partdefinition.addOrReplaceChild("RightLeg", CubeListBuilder.create(),
				PartPose.offset(-1.9F, 12.0F, 0.0F));

		PartDefinition RightLeg_r1 = RightLeg.addOrReplaceChild("RightLeg_r1",
				CubeListBuilder.create().texOffs(60, 35).addBox(-3.2091F, -1.5564F, -2.7247F, 4.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-2.1F, 1.0F, 0.0F, -1.0472F, 0.9599F, -1.0472F));

		PartDefinition RightLeg_r2 = RightLeg.addOrReplaceChild("RightLeg_r2",
				CubeListBuilder.create().texOffs(38, 63).addBox(-3.4885F, -1.837F, -2.2658F, 4.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.1F, -3.0F, -4.0F, 1.1345F, 0.7854F, 1.309F));

		PartDefinition RightLeg_r3 = RightLeg.addOrReplaceChild("RightLeg_r3",
				CubeListBuilder.create().texOffs(44, 42).addBox(-3.9F, -1.0F, -3.0F, 4.0F, 12.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.9F, -14.0F, 0.0F, -0.6109F, 0.6109F, -0.2618F));

		PartDefinition LeftLeg = partdefinition.addOrReplaceChild("LeftLeg", CubeListBuilder.create(),
				PartPose.offset(1.9F, 12.0F, 0.0F));

		PartDefinition LeftLeg_r1 = LeftLeg.addOrReplaceChild("LeftLeg_r1",
				CubeListBuilder.create().texOffs(26, 54).addBox(-1.7594F, -1.6901F, -2.0862F, 4.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.1F, 2.0F, 1.0F, -1.0472F, -0.9599F, 1.0472F));

		PartDefinition LeftLeg_r2 = LeftLeg.addOrReplaceChild("LeftLeg_r2",
				CubeListBuilder.create().texOffs(56, 54).addBox(1.1413F, -0.0774F, -1.6295F, 4.0F, 9.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.1F, -3.0F, -6.0F, 1.1345F, -0.7854F, -1.309F));

		PartDefinition LeftLeg_r3 = LeftLeg.addOrReplaceChild("LeftLeg_r3",
				CubeListBuilder.create().texOffs(0, 41).addBox(-0.1F, -1.0F, -3.0F, 4.0F, 12.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.9F, -14.0F, 0.0F, -0.6109F, -0.6109F, 0.2618F));

		return LayerDefinition.create(meshdefinition, 128, 128);
	}

	@Override
	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {

	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		Head.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		Body.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		LeftWing.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		RightWing.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		RightArm.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		LeftArm.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		RightLeg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		LeftLeg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}
}