// Made with Blockbench 4.5.2
// Exported for Minecraft version 1.17 - 1.18 with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelRidley<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "ridley"), "main");
	private final ModelPart neck;
	private final ModelPart body;
	private final ModelPart wing;
	private final ModelPart wing1;
	private final ModelPart rearleg;
	private final ModelPart rearleg1;
	private final ModelPart frontleg;
	private final ModelPart frontleg2;
	private final ModelPart tail;

	public ModelRidley(ModelPart root) {
		this.neck = root.getChild("neck");
		this.body = root.getChild("body");
		this.wing = root.getChild("wing");
		this.wing1 = root.getChild("wing1");
		this.rearleg = root.getChild("rearleg");
		this.rearleg1 = root.getChild("rearleg1");
		this.frontleg = root.getChild("frontleg");
		this.frontleg2 = root.getChild("frontleg2");
		this.tail = root.getChild("tail");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition neck = partdefinition.addOrReplaceChild("neck",
				CubeListBuilder.create().texOffs(136, 222).addBox(-3.0F, -1.0F, -30.0F, 6.0F, 6.0F, 30.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -71.0F, -12.0F, 0.3927F, 0.0F, 0.0F));

		PartDefinition neck2 = neck.addOrReplaceChild("neck2",
				CubeListBuilder.create().texOffs(64, 222).addBox(-3.0F, -6.0F, -34.0F, 6.0F, 6.0F, 30.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 8.0F, -30.0F, -1.2217F, 0.0F, 0.0F));

		PartDefinition head = neck2.addOrReplaceChild("head",
				CubeListBuilder.create().texOffs(0, 138)
						.addBox(-6.0F, -2.0F, -30.0F, 12.0F, 6.0F, 16.0F, new CubeDeformation(0.0F)).texOffs(0, 168)
						.addBox(-8.0F, -7.0F, -16.0F, 16.0F, 9.0F, 26.0F, new CubeDeformation(0.0F)).texOffs(0, 5)
						.addBox(-5.0F, -3.0F, -28.0F, 2.0F, 1.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(0, 0)
						.addBox(3.0F, -3.0F, -28.0F, 2.0F, 1.0F, 4.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -8.0F, -37.0F, 1.309F, 0.0F, 0.0F));

		PartDefinition head_r1 = head.addOrReplaceChild("head_r1",
				CubeListBuilder.create().texOffs(36, 0)
						.addBox(0.0F, 0.0F, -2.0F, 2.0F, 2.0F, 8.0F, new CubeDeformation(0.0F)).texOffs(36, 44)
						.addBox(12.0F, 0.0F, -2.0F, 2.0F, 2.0F, 8.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-7.0F, -9.0F, -5.0F, 0.5236F, 0.0F, 0.0F));

		PartDefinition jaw = head.addOrReplaceChild("jaw",
				CubeListBuilder.create().texOffs(216, 104).addBox(-6.0F, 0.0F, -17.0F, 12.0F, 4.0F, 28.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 4.0F, -13.0F, 0.2618F, 0.0F, 0.0F));

		PartDefinition body = partdefinition.addOrReplaceChild("body",
				CubeListBuilder.create().texOffs(104, 104)
						.addBox(-12.0F, 0.0F, -16.0F, 24.0F, 24.0F, 64.0F, new CubeDeformation(0.0F)).texOffs(178, 222)
						.addBox(-1.0F, -6.0F, -10.0F, 2.0F, 6.0F, 12.0F, new CubeDeformation(0.0F)).texOffs(64, 222)
						.addBox(-1.0F, -6.0F, 10.0F, 2.0F, 6.0F, 12.0F, new CubeDeformation(0.0F)).texOffs(216, 104)
						.addBox(-1.0F, -6.0F, 30.0F, 2.0F, 6.0F, 12.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -66.0F, 8.0F, -0.7854F, 0.0F, 0.0F));

		PartDefinition wing = partdefinition.addOrReplaceChild("wing",
				CubeListBuilder.create().texOffs(168, 72)
						.addBox(-56.0F, -4.0F, -4.0F, 56.0F, 8.0F, 8.0F, new CubeDeformation(0.0F)).texOffs(112, 0)
						.addBox(-56.0F, 0.0F, 2.0F, 56.0F, 0.0F, 56.0F, new CubeDeformation(0.01F)),
				PartPose.offsetAndRotation(-12.0F, -66.0F, 2.0F, -0.288F, 0.3229F, 0.6021F));

		PartDefinition wingtip = wing.addOrReplaceChild("wingtip",
				CubeListBuilder.create().texOffs(168, 96)
						.addBox(-56.0F, -2.0F, 0.0F, 56.0F, 4.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(0, 112)
						.addBox(-56.0F, 0.0F, 4.0F, 56.0F, 0.0F, 56.0F, new CubeDeformation(0.01F)),
				PartPose.offsetAndRotation(-56.0F, 0.0F, -2.0F, 0.0F, 0.0F, -0.3491F));

		PartDefinition wing1 = partdefinition.addOrReplaceChild("wing1",
				CubeListBuilder.create().texOffs(168, 56)
						.addBox(0.0F, -4.0F, -4.0F, 56.0F, 8.0F, 8.0F, new CubeDeformation(0.0F)).texOffs(0, 56)
						.addBox(0.0F, 0.0F, 2.0F, 56.0F, 0.0F, 56.0F, new CubeDeformation(0.01F)),
				PartPose.offsetAndRotation(12.0F, -66.0F, 2.0F, -0.288F, -0.3229F, -0.6021F));

		PartDefinition wingtip1 = wing1.addOrReplaceChild("wingtip1",
				CubeListBuilder.create().texOffs(168, 88)
						.addBox(0.0F, -2.0F, 0.0F, 56.0F, 4.0F, 4.0F, new CubeDeformation(0.0F)).texOffs(0, 0)
						.addBox(0.0F, 0.0F, 4.0F, 56.0F, 0.0F, 56.0F, new CubeDeformation(0.01F)),
				PartPose.offsetAndRotation(56.0F, 0.0F, -2.0F, 0.0F, 0.0F, 0.3491F));

		PartDefinition rearleg = partdefinition.addOrReplaceChild("rearleg",
				CubeListBuilder.create().texOffs(212, 206).addBox(-8.0F, -4.0F, -8.0F, 16.0F, 32.0F, 16.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-16.0F, -32.0F, 27.0F, -1.2217F, 0.0F, 0.0F));

		PartDefinition rearlegtip = rearleg
				.addOrReplaceChild("rearlegtip",
						CubeListBuilder.create().texOffs(0, 44).addBox(-6.0F, 0.0F, -7.0F, 12.0F, 32.0F, 12.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 28.0F, 1.0F, 1.9199F, 0.0F, 0.0F));

		PartDefinition rearfoot = rearlegtip.addOrReplaceChild("rearfoot",
				CubeListBuilder.create().texOffs(144, 192).addBox(-9.0F, 0.0F, -20.0F, 18.0F, 6.0F, 24.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 32.0F, -2.0F, -0.1309F, 0.0F, 0.0F));

		PartDefinition rearleg1 = partdefinition.addOrReplaceChild("rearleg1",
				CubeListBuilder.create().texOffs(0, 206).addBox(-8.0F, -4.0F, -8.0F, 16.0F, 32.0F, 16.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(16.0F, -32.0F, 27.0F, -1.2217F, 0.0F, 0.0F));

		PartDefinition rearlegtip1 = rearleg1
				.addOrReplaceChild("rearlegtip1",
						CubeListBuilder.create().texOffs(0, 0).addBox(-6.0F, 0.0F, -7.0F, 12.0F, 32.0F, 12.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 28.0F, 1.0F, 1.9199F, 0.0F, 0.0F));

		PartDefinition rearfoot1 = rearlegtip1.addOrReplaceChild("rearfoot1",
				CubeListBuilder.create().texOffs(60, 192).addBox(-9.0F, 0.0F, -20.0F, 18.0F, 6.0F, 24.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 32.0F, -2.0F, -0.1309F, 0.0F, 0.0F));

		PartDefinition frontleg = partdefinition.addOrReplaceChild("frontleg",
				CubeListBuilder.create().texOffs(0, 254).addBox(-4.0F, -4.0F, -4.0F, 8.0F, 42.0F, 8.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-12.0F, -57.0F, -2.0F, -0.6109F, 0.0F, 0.0F));

		PartDefinition frontlegtip = frontleg.addOrReplaceChild("frontlegtip",
				CubeListBuilder.create().texOffs(32, 254).addBox(-3.0F, -1.0F, -3.0F, 6.0F, 33.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 37.0F, 0.0F, -0.9163F, 0.0F, 0.0F));

		PartDefinition frontfoot = frontlegtip
				.addOrReplaceChild("frontfoot",
						CubeListBuilder.create().texOffs(244, 148).addBox(-4.0F, 0.0F, -12.0F, 8.0F, 4.0F, 16.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 30.0F, 0.0F, 1.2654F, 0.0F, 0.0F));

		PartDefinition frontleg2 = partdefinition.addOrReplaceChild("frontleg2",
				CubeListBuilder.create().texOffs(0, 88).addBox(-4.0F, -4.0F, -4.0F, 8.0F, 42.0F, 8.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(12.0F, -57.0F, -2.0F, -0.6109F, 0.0F, 0.0F));

		PartDefinition frontlegtip2 = frontleg2.addOrReplaceChild("frontlegtip2",
				CubeListBuilder.create().texOffs(32, 88).addBox(-3.0F, -1.0F, -3.0F, 6.0F, 33.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 37.0F, 0.0F, -0.9163F, 0.0F, 0.0F));

		PartDefinition frontfoot2 = frontlegtip2
				.addOrReplaceChild("frontfoot2",
						CubeListBuilder.create().texOffs(120, 192).addBox(-4.0F, 0.0F, -12.0F, 8.0F, 4.0F, 16.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 30.0F, 0.0F, 1.2654F, 0.0F, 0.0F));

		PartDefinition tail = partdefinition.addOrReplaceChild("tail",
				CubeListBuilder.create().texOffs(268, 244)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(32, 127)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -23.0F, 31.0F, -0.3054F, 0.0F, 0.0F));

		PartDefinition tail2 = tail.addOrReplaceChild("tail2",
				CubeListBuilder.create().texOffs(166, 268)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(40, 137)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail3 = tail2.addOrReplaceChild("tail3",
				CubeListBuilder.create().texOffs(268, 104)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(0, 138)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail4 = tail3.addOrReplaceChild("tail4",
				CubeListBuilder.create().texOffs(260, 192)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(10, 184)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail5 = tail4.addOrReplaceChild("tail5",
				CubeListBuilder.create().texOffs(136, 258)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(0, 180)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0349F, 0.0F, 0.0F));

		PartDefinition tail6 = tail5.addOrReplaceChild("tail6",
				CubeListBuilder.create().texOffs(96, 258)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(10, 174)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0524F, 0.0F, 0.0F));

		PartDefinition tail7 = tail6.addOrReplaceChild("tail7",
				CubeListBuilder.create().texOffs(56, 258)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(0, 170)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0524F, 0.0F, 0.0F));

		PartDefinition tail8 = tail7.addOrReplaceChild("tail8",
				CubeListBuilder.create().texOffs(238, 254)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(88, 168)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, 0.0175F, 0.0F, 0.0F));

		PartDefinition tail9 = tail8.addOrReplaceChild("tail9",
				CubeListBuilder.create().texOffs(198, 254)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(10, 164)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0175F, 0.0F, 0.0F));

		PartDefinition tail10 = tail9.addOrReplaceChild("tail10",
				CubeListBuilder.create().texOffs(58, 168)
						.addBox(-5.0F, -5.0F, 0.0F, 10.0F, 10.0F, 10.0F, new CubeDeformation(0.0F)).texOffs(0, 160)
						.addBox(-1.0F, -9.0F, 2.0F, 2.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0349F, 0.0F, 0.0F));

		PartDefinition tail11 = tail10.addOrReplaceChild("tail11",
				CubeListBuilder.create().texOffs(106, 222).addBox(-3.0F, -8.0F, 0.0F, 6.0F, 16.0F, 14.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0524F, 0.0F, 0.0F));

		PartDefinition tail12 = tail11.addOrReplaceChild("tail12",
				CubeListBuilder.create().texOffs(216, 136).addBox(-3.0F, -6.0F, 3.0F, 6.0F, 12.0F, 16.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 10.0F, -0.0524F, 0.0F, 0.0F));

		PartDefinition bone = tail12.addOrReplaceChild("bone", CubeListBuilder.create().texOffs(265, 264).addBox(-3.0F,
				-17.0F, 169.0F, 6.0F, 7.0F, 13.0F, new CubeDeformation(0.0F)), PartPose.offset(0.0F, 14.0F, -150.0F));

		return LayerDefinition.create(meshdefinition, 512, 512);
	}

	@Override
	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {

	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		neck.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		body.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		wing.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		wing1.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		rearleg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		rearleg1.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		frontleg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		frontleg2.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		tail.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}
}