
package net.mcreator.metroidmadness.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;

import net.mcreator.metroidmadness.entity.CorpiusEntity;
import net.mcreator.metroidmadness.client.model.ModelCorpius;

public class CorpiusRenderer extends MobRenderer<CorpiusEntity, ModelCorpius<CorpiusEntity>> {
	public CorpiusRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelCorpius(context.bakeLayer(ModelCorpius.LAYER_LOCATION)), 5f);
		this.addLayer(new EyesLayer<CorpiusEntity, ModelCorpius<CorpiusEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("metroid_madness:textures/entities/cloaked.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(CorpiusEntity entity) {
		return new ResourceLocation("metroid_madness:textures/entities/corpius.png");
	}
}
