
package net.mcreator.metroidmadness.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;

import net.mcreator.metroidmadness.entity.KraidEntity;
import net.mcreator.metroidmadness.client.model.ModelKraid;

public class KraidRenderer extends MobRenderer<KraidEntity, ModelKraid<KraidEntity>> {
	public KraidRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelKraid(context.bakeLayer(ModelKraid.LAYER_LOCATION)), 5f);
		this.addLayer(new EyesLayer<KraidEntity, ModelKraid<KraidEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("metroid_madness:textures/entities/kraid_eyes.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(KraidEntity entity) {
		return new ResourceLocation("metroid_madness:textures/entities/kraid.png");
	}
}
