
package net.mcreator.metroidmadness.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SlimeModel;

import net.mcreator.metroidmadness.entity.YellowXEntity;

public class YellowXRenderer extends MobRenderer<YellowXEntity, SlimeModel<YellowXEntity>> {
	public YellowXRenderer(EntityRendererProvider.Context context) {
		super(context, new SlimeModel(context.bakeLayer(ModelLayers.SLIME)), 0.5f);
		this.addLayer(new EyesLayer<YellowXEntity, SlimeModel<YellowXEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("metroid_madness:textures/entities/energy-x_glow.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(YellowXEntity entity) {
		return new ResourceLocation("metroid_madness:textures/entities/energy-x.png");
	}
}
