
package net.mcreator.metroidmadness.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.entity.Entity;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.metroidmadness.procedures.DreadSpeedBoosterItemInInventoryTickProcedure;
import net.mcreator.metroidmadness.init.MetroidMadnessModTabs;

import java.util.List;

public class DreadSpeedBoosterItem extends Item {
	public DreadSpeedBoosterItem() {
		super(new Item.Properties().tab(MetroidMadnessModTabs.TAB_METROID_MADNESS).stacksTo(1).rarity(Rarity.COMMON));
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("Sprint 5 seconds to activate"));
		list.add(new TextComponent("crouch to charge shinespark"));
		list.add(new TextComponent("jump and choose direction to launch"));
	}

	@Override
	public void inventoryTick(ItemStack itemstack, Level world, Entity entity, int slot, boolean selected) {
		super.inventoryTick(itemstack, world, entity, slot, selected);
		DreadSpeedBoosterItemInInventoryTickProcedure.execute(world, entity);
	}
}
