
package net.mcreator.metroidmadness.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.metroidmadness.init.MetroidMadnessModTabs;

import java.util.List;

public class FlashShiftItem extends Item {
	public FlashShiftItem() {
		super(new Item.Properties().tab(MetroidMadnessModTabs.TAB_METROID_MADNESS).stacksTo(1).fireResistant().rarity(Rarity.RARE));
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("Press F to charge"));
		list.add(new TextComponent("then you can \"shift\" a few blocks forward up to 2 times"));
	}
}
