
package net.mcreator.metroidmadness.potion;

import net.minecraft.world.entity.ai.attributes.AttributeMap;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.effect.MobEffectCategory;
import net.minecraft.world.effect.MobEffect;

import net.mcreator.metroidmadness.procedures.MetroidDNAEffectExpiresProcedure;

public class MetroidDNAMobEffect extends MobEffect {
	public MetroidDNAMobEffect() {
		super(MobEffectCategory.HARMFUL, -6684775);
	}

	@Override
	public String getDescriptionId() {
		return "effect.metroid_madness.metroid_dna";
	}

	@Override
	public void removeAttributeModifiers(LivingEntity entity, AttributeMap attributeMap, int amplifier) {
		super.removeAttributeModifiers(entity, attributeMap, amplifier);
		MetroidDNAEffectExpiresProcedure.execute(entity);
	}

	@Override
	public boolean isDurationEffectTick(int duration, int amplifier) {
		return true;
	}
}
